from fastapi import APIRouter, Depends

from .common import router as common_router
from .schedule import router as schedule_router
from .translation import set_language
from .weather import router as weather_router

router = APIRouter(tags=["view"], dependencies=[Depends(set_language)])
router.include_router(common_router)
router.include_router(weather_router)
router.include_router(schedule_router)
